This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 144759 - printing or previewing printing causes a segfault when no default printer
printing or previewing printing causes a segfault when no default printer
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: mozilla (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Christopher Aillon
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-11 07:07 EST by Luciano Rocha
Modified: 2008-08-02 19:40 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-09 19:13:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Luciano Rocha 2005-01-11 07:07:18 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en) AppleWebKit/125.5.5 (KHTML, 
like Gecko) Safari/125.12

Description of problem:
Printing works in other applications via a cups discovered printer. But, when that printer 
isn't configured as the default, mozilla and firefox segfaults when running the Print or 
Print Preview menu commands.

Version-Release number of selected component (if applicable):
mozilla-1.7.3-17
firefox-1.0-2.fc3

How reproducible:
Always

Steps to Reproduce:
1. mozilla
2. File -> Print Preview
- or -
1. firefox
2. File -> Print Preview

Actual Results:  the application segfaults

Expected Results:  a print or print preview window should had appeared, or some error 
message

Additional info:

The following makes me think the problem is that there's no default printer:
$ lpq
lpq: error - no default destination available.
$ lpstat -p
printer Oki is idle.  enabled since Jan 01 00:00
$ mozilla
... File -> Print Preview
<segfault>
$ lpoptions -d Oki
job-sheets=none,none
$ lpq
Oki is ready
no entries
$ mozilla
... File -> Print Preview
<the window appears>
Comment 1 Matthew Miller 2006-07-10 18:19:07 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 Matěj Cepl 2007-06-09 19:13:47 EDT
Reporter, could you confirm please, that this bug still could be reproduced with
the updated release of the supported version of Fedora (FC5, FC6, or F7)?

If yes, please, reopen this bug with additional information how it is possible
to reproduce this bug.

In meantime, I have to close this bug as CANTFIX, because it is reported against
not longer supported distribution.

Thanks in advance.

Note You need to log in before you can comment on or make changes to this bug.